package com.pcloud.book.appeal.entity;

import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**
 * 图书申诉结果
 */
public class BookAppealResult extends BaseEntity {

    /**
     * 编辑标识
     */
    private Long adviserId;

    /**
     * 运营标识
     */
    private Long channelId;

    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 图书申诉标识
     */
    private Long bookAppealId;

    /**
     * 是否主编辑
     */
    private Boolean isMainEditor;

    /**
     * 图书创建时间
     */
    private Date bookCreatedDate;

    /**
     * 创建时间
     */
    private Date createdDate;

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getBookAppealId() {
        return bookAppealId;
    }

    public void setBookAppealId(Long bookAppealId) {
        this.bookAppealId = bookAppealId;
    }

    public Boolean getIsMainEditor() {
        return isMainEditor;
    }

    public void setIsMainEditor(Boolean isMainEditor) {
        this.isMainEditor = isMainEditor;
    }

    public Boolean getMainEditor() {
        return isMainEditor;
    }

    public void setMainEditor(Boolean mainEditor) {
        isMainEditor = mainEditor;
    }

    public Date getBookCreatedDate() {
        return bookCreatedDate;
    }

    public void setBookCreatedDate(Date bookCreatedDate) {
        this.bookCreatedDate = bookCreatedDate;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    @Override
    public String toString() {
        return "BookAppealResult{" +
                "adviserId=" + adviserId +
                ", channelId=" + channelId +
                ", bookId=" + bookId +
                ", bookAppealId=" + bookAppealId +
                ", isMainEditor=" + isMainEditor +
                ", bookCreatedDate=" + bookCreatedDate +
                ", createdDate=" + createdDate +
                '}';
    }
}
